*{
  font-family: AnonymiceProNerdFontMono;
  font-size: 13px;
}

window#waybar {
    background-color: #1a1a1a;
    color: #dfdfdf;
    transition-property: background-color;
    transition-duration: .5s;
}

window#waybar.hidden {
    opacity: 0.2;
}

window#waybar.termite {
    background-color: #777777;
}

button {
    /* Use box-shadow instead of border so the text isn't offset */
    box-shadow: inset 0 -3px transparent;
    /* Avoid rounded borders under each button name */
    border: none;
    border-radius: 0;
}

/* https://github.com/Alexays/Waybar/wiki/FAQ#the-workspace-buttons-have-a-strange-hover-effect */
button:hover {
    background: inherit;
    box-shadow: inset 0 -3px #dfdfdf;
}

#tags button {
    padding: 0 5px;
    background-color: transparent;
    color: #dfdfdf;
}

#tags button.occupied {
  box-shadow: inset 0 -3px #777777;
}

#tags button.hover {
    background: inherit;
    box-shadow: inset 0 -3px #dfdfdf;
}

#tags button.focused {
    background-color: #777777;
    box-shadow: inset 0 -3px #dfdfdf;
}

#tags button.urgent {
    background-color: #eb4d4b;
}

#mode {
    background-color: #777777;
    border-bottom: 3px solid #dfdfdf;
}

#clock,
#battery,
#cpu,
#memory,
#disk,
#temperature,
#backlight,
#bluetooth,
#network,
#pulseaudio,
#wireplumber,
#custom-media,
#tray,
#mode,
#idle_inhibitor,
#scratchpad,

#mpd {
    padding: 0 10px;
    color: #dfdfdf;
}

#window,

#workspaces {
    margin: 0 4px;
}

/* If workspaces is the leftmost module, omit left margin */
.modules-left > widget:first-child > #workspaces {
    margin-left: 0;
}

/* If workspaces is the rightmost module, omit right margin */
.modules-right > widget:last-child > #workspaces {
    margin-right: 0;
}

#battery.charging, #battery.plugged {
    color: #ffffff;
    background-color: #36a65b;
}

#battery.critical:not(.charging) {
    background-color: #eb4d4b;
    color: #000000;
}

label:focus {
    background-color: #000000;
}

#backlight {
    background-color: #ececec;
}

#pulseaudio.muted {
    background-color: #eb4d4b;
    color: #000000;
}

#wireplumber.muted {
    background-color: #eb4d4b;
}

#temperature.critical {
    background-color: #eb4d4b;
}

#tray > .needs-attention {
    -gtk-icon-effect: highlight;
    background-color: #eb4d4b;
}

#language {
    background: #00b093;
    color: #a47de9;
    padding: 0 5px;
    margin: 0 5px;
    min-width: 16px;
}

#keyboard-state {
    background: #97e1ad;
    color: #000000;
    padding: 0 0px;
    margin: 0 5px;
    min-width: 16px;
}

#keyboard-state > label {
    padding: 0 5px;
}

#keyboard-state > label.locked {
    background: rgba(0, 0, 0, 0.2);
}

#scratchpad {
    background: rgba(0, 0, 0, 0.2);
}

#scratchpad.empty {
  background-color: transparent;
}
